Errore durante l'autenticazione di alcuni pacchetti durante l'aggiornamento

23

Quando provo ad aggiornare la mia Ubuntu 13.04 alla 13.10, viene visualizzato il seguente errore:

It was not possible to authenticate some packages. This may be a 
transient network problem. You may want to try again later. See below 
for a list of unauthenticated packages.

Anche durante il download dei file, vedo errori come:

Err http://in.archive.ubuntu.com saucy-backports/restricted Translation-en_IN 

Ho provato il link a una domanda simile ma quello non funziona. Non penso di avere problemi con i tasti.

    
posta Singularity 24.02.2014 - 02:43
fonte

1 risposta

43
  

Avviso di sicurezza importante

     

Questa risposta disabiliterà una funzionalità di sicurezza critica in Ubuntu. Smetterà di controllare che i pacchetti di Ubuntu siano gli stessi di quando furono creati.

     

Questo potrebbe significa che i tuoi aggiornamenti sono compromessi o corrotti.
  Questo potrebbe significa che c'è solo un bug nel modo in cui vengono gestiti gli aggiornamenti delle versioni di Ubuntu.

     

Non sto dicendo che non dovresti mai farlo, ti sto solo chiedendo di essere consapevole di quello che stai facendo. E rimetti le cose dopo l'aggiornamento. Non lasciare AllowUnauthenticated a tempo indeterminato.

     

- Oli, Chiedi mod Ubuntu

Questo ha funzionato per me.

crea il file /etc/update-manager/release-upgrades.d/unauth.cfg come root e aggiungi quanto segue.

[Distro]
AllowUnauthenticated=yes

Dopo l'upgrade, rimuovi questo file.

    
risposta data Singularity 25.02.2014 - 17:00
fonte

Leggi altre domande sui tag